# generated by cabal-rpm-0.10.0
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name persistent-sqlite

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        2.6.3
Release:        2%{?dist}
Summary:        Backend for the persistent library using sqlite3

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-microlens-th-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-monad-logger-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-persistent-devel
BuildRequires:  ghc-resource-pool-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  glibc-devel%{?_isa}
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-persistent-template-devel
BuildRequires:  ghc-temporary-devel
%endif
# End cabal-rpm deps
BuildRequires:  sqlite-devel

%description
This package includes a thin sqlite3 wrapper based on the direct-sqlite
package.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       glibc-devel%{?_isa}
# End cabal-rpm deps
# Due to https://ghc.haskell.org/trac/ghc/ticket/9498
Requires:       sqlite-devel

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%autosetup -n %{pkg_name}-%{version} -p2
cabal-tweak-flag systemlib True


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc ChangeLog.md


%changelog
* Tue Nov 07 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.3-2
- rebuilt

* Sat Nov 04 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.3-1
- Update to latest version.

* Mon Oct 23 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.2-6
- rebuilt

* Sat Sep 30 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.6.2-5
- Fix small typo.

* Sat Sep 30 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.6.2-4
- Add sqlite3-devel to -devel Requires.

* Fri Sep 29 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.6.2-3
- Use pkg-config to build against system sqlite library.

* Tue Sep 05 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.6.2-2
- Build against system sqlite library.

* Sat Jul 22 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.6.2-1
- Update to latest version.

* Fri Jul 21 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.2.1-5
- Bump for Fedora 26.

* Sat Dec 17 2016 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.2.1-4
- Update release to be newer than previous builds

* Sat Dec 17 2016 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 2.2.1-1
- spec file generated by cabal-rpm-0.10.0
